Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Class TransferAdapterService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.dnd.core.TransferAdapterService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider

    public class TransferAdapterService

extends Service
implements org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider

A service that provides transfer adapters for a given transfer id.

Nested Class Summary
`protected static class` `TransferAdapterService.ProviderDescriptor` A descriptor for `ITransferAdapterProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`protected` `TransferAdapterService()` Constructor for TransferAdapterService.

Method Summary
`static TransferAdapterService` `getInstance()` Return the singleton.
`ITransferDragSourceListener` `getTransferDragSourceAdapter(java.lang.String transferId)` Returns a `ITransferDragSourceListener` for the given transfer id
`ITransferDropTargetListener` `getTransferDropTargetAdapter(java.lang.String transferId)` Returns a `ITransferDropTargetListener` for the given transfer id
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### TransferAdapterService

    protected TransferAdapterService()

  Constructor for TransferAdapterService.

Method Detail

### getInstance

    public static TransferAdapterService getInstance()

  Return the singleton.

  Returns:
    singleton instance of the TransferAdapterService class

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.

### getTransferDragSourceAdapter

    public ITransferDragSourceListener getTransferDragSourceAdapter(java.lang.String transferId)

  Description copied from interface: `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Returns a `ITransferDragSourceListener` for the given transfer id

  Specified by:
    `getTransferDragSourceAdapter` in interface `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Parameters:
    `transferId` - the transfer id
  Returns:
    Returns a `ITransferDragSourceListener`

### getTransferDropTargetAdapter

    public ITransferDropTargetListener getTransferDropTargetAdapter(java.lang.String transferId)

  Description copied from interface: `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Returns a `ITransferDropTargetListener` for the given transfer id

  Specified by:
    `getTransferDropTargetAdapter` in interface `org.eclipse.gmf.runtime.common.ui.services.dnd.internal.core.ITransferAdapterProvider`
  Parameters:
    `transferId` - the transfer id
  Returns:
    Returns a `ITransferDropTargetListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.